.BYTE $0110 ;vblank int

.ZERO $0100 		;start code segment at 0x100
	jmp Init
.ZERO $0110
	jmp VBlankHandler

.INCLUDE "examples/hwd.inc"
.INCLUDE "examples/memory.inc"

Init:
	push IBM_CGA	;load characters and mask to VRAM
	push VRAM_ADDR
	push $1000
	call DMA_Copy
		
	mov a, 6		;set palette
	mov cd, PALETTE
	mov ef, PALETTE_ADDR
	call MemCopy
	ei
Loop:
	jmp Loop
	ret

VBlankHandler:
	mov ef, $FF0A
	mov a, [ef]
	mov ef, TEXT_ADDR
	mov [ef], a
	inc ef
	mov [ef], $10
	inc ef
	mov [ef], 0
	reti

PALETTE:
.BYTE $00,$00,$00,$FF,$FF,$FF
	
IBM_CGA:
.INCBIN "examples/ibm_cga.bin"